Page MenuHomePhabricator

TEC6: Logging infrastructure (Q4 2018/19 goal)
Closed, ResolvedPublic

Description

The intent of the goal is primarily to complete the transition to the logging pipeline.

  • Deprecate all non-Kafka logstash inputs
  • [stretch] Implement sensitive log access control, onboard 3 sensitive log producers T213902

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2019, 1:03 PM
fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Apr 4 2019, 1:07 PM
fgiunchedi renamed this task from TEC6: logging infrastructure (Q4 2018/19 goal) to TEC6: Logging infrastructure (Q4 2018/19 goal).Apr 5 2019, 8:27 AM
fgiunchedi triaged this task as Medium priority.Apr 9 2019, 8:37 AM
fgiunchedi moved this task from Backlog to In Dev/Progress on the Wikimedia-Logstash board.

Change 505741 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] logstash: ramp up logs retention

https://gerrit.wikimedia.org/r/505741

Change 505741 merged by Filippo Giunchedi:
[operations/puppet@production] logstash: ramp up logs retention

https://gerrit.wikimedia.org/r/505741

Change 512193 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] logstash: add deprecated-input tag to deprecated inputs

https://gerrit.wikimedia.org/r/512193

Change 512193 merged by Cwhite:
[operations/puppet@production] logstash: add deprecated-input tag to deprecated inputs

https://gerrit.wikimedia.org/r/512193

Change 513612 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] logstash: add deprecated-input tag to syslog input

https://gerrit.wikimedia.org/r/513612

Change 513612 merged by Cwhite:
[operations/puppet@production] logstash: add deprecated-input tag to syslog input

https://gerrit.wikimedia.org/r/513612

Change 520409 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] logstash: set retention to 90 days

https://gerrit.wikimedia.org/r/520409

Change 520409 merged by Filippo Giunchedi:
[operations/puppet@production] logstash: set retention to 90 days

https://gerrit.wikimedia.org/r/520409

fgiunchedi closed this task as Resolved.Jul 22 2019, 2:17 PM
fgiunchedi claimed this task.

Resolving as Q is over, things TODO are tracked in subtasks